org.opencv.tracking

## Class TrackerMedianFlow

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.tracking.Tracker
    - - org.opencv.tracking.TrackerMedianFlow

-     public class TrackerMedianFlow
      extends Tracker

  the Median Flow tracker Implementation of a paper CITE: MedianFlow . The tracker is suitable for very smooth and predictable movements when object is visible throughout the whole sequence. It's quite and accurate for this type of problems (in particular, it was shown by authors to outperform MIL). During the implementation period the code at <http://www.aonsquared.co.uk/node/5>, the courtesy of the author Arthur Amarra, was used for the reference purpose.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TrackerMedianFlow(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TrackerMedianFlow` | `__fromPtr__(long addr)`
    `static TrackerMedianFlow` | `create()` Constructor
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.tracking.Tracker

      `init, update`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrackerMedianFlow

          protected TrackerMedianFlow(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TrackerMedianFlow __fromPtr__(long addr)

    - #### create

          public static TrackerMedianFlow create()

      Constructor
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `Tracker`
      Throws:
        `Throwable`

Generated on Wed Oct 9 2019 16:55:37 UTC / OpenCV 3.4.8